#ifndef PANEL_DYNAMICS_H
#define PANEL_DYNAMICS_H

#ifndef PANEL_H
#include "Panel.h"
#endif

#ifndef DYNAMIC_SINGLETON_H
#include "Dynamic_singleton.h"
#endif

#ifndef UI_PANEL_PRESET_H
#include "ui_Panel_preset.h"
#endif

//#ifndef MODEL_SINGLETON_VIEW_H
//#include "Model_singleton_view.h"
//#endif
//

namespace MM
{

class Panel_preset
:
    public Panel,
    public Ui_Panel_preset,
    //public Model_singleton_view,
    public Dynamic_singleton <Panel_preset>
{
    Q_OBJECT

public:    
    Panel_preset ();

public slots:    
    void liquid   (bool);
    void implicit (bool);
    void quantum (bool);

    void apply_to_current_model ();
    void apply_to_all ();

protected:
    void apply (Model & model);
};

}//MM

#endif //PANEL_DYNAMICS_H
